{"openapi":"3.0.3","info":{"title":"Cloud4Log Addons API","version":"2.4.4.1","description":"This backend interacts with the basic backend of Cloud4Logistics (see: [Cloud4Log API](https://api.cloud4log.com/api-docs)) by calling its endpoints and enriching the returned data with additional information from the addons database. Authentication is managed by the basic backend. \n For further documentation visit: \n - [Cloud4Log Addons Documentation Repository](https://github.com/JR-2022/C4L-Addons) \n - [Cloud4Log Documentation Repository](https://github.com/JR-2022/C4L) \n - [Cloud4Log Hello World](https://github.com/JR-2022/C4L-Hello-World)"},"servers":[{"url":"/api/v2"}],"security":[{"KeyCloakAuth":[]},{"BasicBackendAuth":[]}],"paths":{"/administration/organizations/{organizationKey}/config":{"put":{"summary":"update organization specific configuration.","description":"Endpoint for T-Systems Frontend (breaking changes at any times possible).Allows the organization admin to update organization specific configuration. For example confirm registration.","operationId":"replaceOrganizationConfig","tags":["t-systems"],"parameters":[{"$ref":"#/components/parameters/organizationKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigRequest"}}}},"responses":{"200":{"description":"The updated organization configuration.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/settings":{"post":{"summary":"Create new site settings.","description":"Create new site settings (for example, e-mail notification settings).","operationId":"createSiteSettings","tags":["administration"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SettingRequest"}}}},"responses":{"200":{"description":"The created site setting.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SettingResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}},"get":{"summary":"Get the site settings.","description":"Gets the settings configured for a site (for example email notification settings).","operationId":"getSiteSettings","tags":["administration"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"}],"responses":{"200":{"description":"The site settings.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SettingResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/settings":{"get":{"summary":"Get settings from all organization sites.","description":"Retrieve settings from all organization sites.","operationId":"getAllOrganizationSiteSettings","tags":["administration"],"responses":{"200":{"description":"The settings of all organization sites.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SettingResponse"}}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/settings/notifications":{"put":{"summary":"Replace the notification settings","description":"Replace notification settings of a site.","operationId":"replaceNotificationSetting","tags":["administration"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationSettingRequest"}}}},"responses":{"200":{"description":"The updated notification setting.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationSettingResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organizationSites/{organizationSiteKey}/consignee/advancedShippingNotes":{"put":{"summary":"Replace advanced shipping notes of an organization site","description":"**Deprecated:** Use `POST /api/v3/organization-sites/{organizationSiteKey}/consignee/advanced-shipping-notes` instead.\nV3 requires a positive integer `quantity`; omit `item`, `dateCreated`, and `dateUpdated`.\nTimestamps are generated on the server, and notices are merged by `advancedShippingNotice`\ninstead of replacing the entire list.\n\nReplace the advanced shipping notes for a specified organization site.\n","operationId":"putAdvancedShippingNotes","deprecated":true,"x-required-feature-flag":"advancedShippingNotice","tags":["advanced shipping notice"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdvancedShippingNotes"}}}},"responses":{"204":{"description":"Advanced Shipping Notes were uploaded successfully"},"400":{"$ref":"#/components/responses/AdvancedShippingNoticeErrorResponse"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/api-keys-storage/renew":{"post":{"summary":"Renew api key of organization by given dlssessionid in header","description":"Renew the api key for the organization of the requesting user by using the dlssessionid in header.\nIt increase the expiry time to (DATE_NOW + 1 year). It also adds new organization sites to the api key.\n","operationId":"renewApiKey","tags":["api keys"],"responses":{"200":{"description":"existing stored api key was renewed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyRenewalResponse"}}}},"201":{"description":"api key was successfully created and stored.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyRenewalResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignee/delivery-notes/{deliveryNoteKey}/articles/{articleKey}/discrepancies":{"post":{"summary":"Add a new discrepancy to an article.","description":"Add a new discrepancy to an article.\nThe delivery note must be in a started checkin.\n","operationId":"postNewArticleDiscrepancy","x-required-feature-flag":"consigneeArticleDiscrepancies","tags":["discrepancies"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleDiscrepancyRequest"}}}},"responses":{"200":{"description":"result from operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleDiscrepancyResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}},"put":{"summary":"Replace all discrepancies for an article.","description":"Replace all discrepancies for an article. And sets the article to checked.\n","operationId":"putConsigneeArticleDiscrepancies","x-required-feature-flag":"consigneeArticleDiscrepancies","tags":["discrepancies"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleDiscrepanciesRequest"}}}},"responses":{"200":{"description":"A list of new article discrepancies.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleDiscrepanciesResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignee/delivery-notes/{deliveryNoteKey}/articles/{articleKey}/discrepancies/{discrepancyKey}":{"patch":{"summary":"Update a discrepancy for an article.","description":"Update a discrepancy for an article.\nThe delivery note must be in a started checkin.\n","operationId":"patchArticleDiscrepancy","x-required-feature-flag":"consigneeArticleDiscrepancies","tags":["discrepancies"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"},{"$ref":"#/components/parameters/discrepancyKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartialArticleDiscrepancyRequest"}}}},"responses":{"200":{"description":"The updated discrepancy","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleDiscrepancyResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}},"delete":{"summary":"Delete a discrepancy from a delivery note.","description":"Delete a discrepancy from a delivery note.\n","operationId":"deleteArticleDiscrepancy","x-required-feature-flag":"consigneeArticleDiscrepancies","tags":["discrepancies"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"},{"$ref":"#/components/parameters/discrepancyKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"responses":{"204":{"description":"Discrepancy was deleted"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/delivery-notes/{deliveryNoteKey}/articles/{articleKey}/discrepancies/{discrepancyKey}":{"get":{"summary":"Get a discrepancy for an article.","description":"Get a discrepancy for an article.\n","operationId":"getArticleDiscrepancy","x-required-feature-flag":"consigneeArticleDiscrepancies","tags":["discrepancies"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"},{"$ref":"#/components/parameters/discrepancyKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"responses":{"200":{"description":"result from operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleDiscrepancyResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/delivery-notes/{deliveryNoteKey}/articles/{articleKey}/discrepancies":{"get":{"summary":"Get all article discrepancies for an article.","description":"Get all article discrepancies for an article.\n","operationId":"getArticleDiscrepanciesForArticle","x-required-feature-flag":"consigneeArticleDiscrepancies","tags":["discrepancies"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"responses":{"200":{"description":"result from operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleDiscrepanciesResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/delivery-notes/{deliveryNoteKey}/articles":{"get":{"summary":"Get all articles of a delivery note.","description":"Returns all articles of a delivery note.\n","operationId":"getDeliveryNoteArticles","tags":["articles"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"responses":{"200":{"description":"Articles","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticlesResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignor/delivery-notes/{deliveryNoteKey}/articles":{"post":{"summary":"Add articles data to a delivery note.","description":"Add articles data to an existing delivery note.\nThe delivery note can not be in a bundle with status sent or closed.\n","operationId":"postDeliveryNoteArticles","x-required-feature-flag":"consignorArticlesEditing","tags":["articles"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Articles"}}}},"responses":{"200":{"description":"Added articles in delivery note","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticlesResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignor/delivery-notes/{deliveryNoteKey}/articles/{articleKey}":{"delete":{"summary":"Removes an article","description":"Removes an article from a delivery note.\n","operationId":"removeArticle","x-required-feature-flag":"consignorArticlesEditing","tags":["articles"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"responses":{"204":{"description":"Article was successfully removed"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignee/articles/{articleKey}/edit":{"patch":{"summary":"Edit partially attributes of an article","description":"Edit partially attributes of an article, e.g. gtin or pos. This original article attributes will not be deleted.\n","operationId":"editArticleAttributes","x-required-feature-flag":"consigneeArticlesEditing","tags":["articles"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditArticleAttributes"}}}},"responses":{"200":{"description":"All edits of edited article","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleResponseType"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}},"delete":{"summary":"Removes an article as an edit","description":"Removes an article from an delivery note as an edit. The removed deliveryNote can still be retrieved, but is marked as editedRemoved.\n","operationId":"editArticleRemove","x-required-feature-flag":"consigneeArticlesEditing","tags":["articles"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"responses":{"204":{"description":"Article was successfully marked as editedRemoved"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignee/delivery-notes/{deliveryNoteKey}/articles/edit":{"post":{"summary":"Adds a new article as an edit","description":"Adds a new article as an edit. The added article can be retrieved with the other articles, but is marked as editedAdded.\n","operationId":"editArticleAdd","x-required-feature-flag":"consigneeArticlesEditing","tags":["articles"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Articles"}}}},"responses":{"200":{"description":"The new added article as an edit","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticlesResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignee/articles/{articleKey}/check":{"patch":{"summary":"Check or uncheck an article","description":"Check or uncheck an article. It can be used to mark that an article was successfully processed.\n","operationId":"checkArticle","x-required-feature-flag":"consigneeArticleDiscrepancies","tags":["articles"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/articleKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckArticle"}}}},"responses":{"200":{"description":"Article successfully checked/unchecked","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleResponseType"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/authentication/login":{"post":{"summary":"Log in and c4l-addons permitted check","description":"Wraps the login of c4l-basic and checks additionally if organization of user is permitted to use c4l-addons. It can be used for Frontend-Implementation.\n","operationId":"postLogin","security":[],"tags":["authentication"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginRequest"}}}},"responses":{"200":{"description":"login response data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/administration/organization-sites/{organizationSiteKey}/delivery-notes/reports/csv":{"get":{"summary":"Get delivery note reports as zip file for the provided organization site.","description":"Retrieve multiple CSV files (delivery notes metadata, articles, discrepancies,\nload carriers consignor, load carriers consignee) as a ZIP file for\nall delivery notes of the specified organization site.\nConstrain: from <= timestamp < to, from and to must be milliseconds.\nAllowed time range is 35 days. All times are in UTC.\n","operationId":"getAdministrationDeliveryNotesReportCsv","x-required-feature-flag":"csvReporting","tags":["administration"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/FromTimestampTypeParam"},{"$ref":"#/components/parameters/ToTimestampTypeParam"}],"responses":{"200":{"$ref":"#/components/responses/ZipCsvFileResponse"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignee/delivery-notes/{deliveryNoteKey}":{"get":{"summary":"Get meta data for a single delivery note.","description":"Get the meta data for a single delivery note from the basic system\nand enrich it with data from the addons system. This includes the\nconsignee order number, the certification number flags\n(naturlandCertificationNumber, qsCertificationNumber and\ngqbCertificationNumber) and the discrepancies on article level.\n","operationId":"getSingleDeliveryNoteMetaDataAddons","deprecated":true,"tags":["delivery notes"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"responses":{"200":{"description":"Returns the delivery note meta data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryNoteWithCertificationNumbersChecked"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}},"patch":{"summary":"Update the certification number flags or consignee order number for a delivery note","description":"Update the certification number flags (naturlandCertificationNumber,\nqsCertificationNumber, and gqbCertificationNumber) or the consignee\norder number for a delivery note.\n","operationId":"patchDeliveryNoteConsigneeData","tags":["delivery notes"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchDeliveryNoteConsigneeData"}}}},"responses":{"204":{"description":"certification number flags or consignee order number updated successfully"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organizations/{organizationKey}/delivery-notes/{deliveryNoteKey}/metadata":{"put":{"summary":"Add meta data to a delivery note","description":"Update or add a new meta data entry to a delivery note. This can be\nused to store additional information which is not part of the\nstandard delivery note.\n","operationId":"putDeliveryNoteMetaData","x-required-feature-flag":"deliveryNoteMetadata","tags":["delivery notes"],"parameters":[{"$ref":"#/components/parameters/organizationKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryNoteMetaData"}}}},"responses":{"204":{"description":"Meta data was uploaded successfully"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organizations/{organizationKey}/delivery-notes/{deliveryNoteKey}/metadata/{metaDataKey}":{"get":{"summary":"Get the meta data of a delivery note","description":"Get the meta data of a delivery note. This can be used to retrieve\nadditional information which is not part of the standard delivery\nnote.\n","operationId":"getDeliveryNoteMetaData","x-required-feature-flag":"deliveryNoteMetadata","tags":["delivery notes"],"parameters":[{"$ref":"#/components/parameters/organizationKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"},{"$ref":"#/components/parameters/metaDataKeyParam"}],"responses":{"200":{"description":"Returns the meta data of the delivery note","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryNoteMetaDataResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignee/delivery-notes":{"get":{"summary":"Get consignee delivery notes with controls flag","description":"This endpoint returns a list of delivery notes for a consignee organization site,\nwrapping the basic API endpoint and adding a controls flag to the response.\nThe controls flag indicates whether a delivery note has undergone\na specific check (true/false), such as the verification of the organic certification number.\nThis allows for tracing which delivery notes have been subjected to specific checks.\n","operationId":"getConsigneeAddonsDeliveryNotes","deprecated":true,"tags":["delivery notes"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/OrderNumberParam"}],"responses":{"200":{"description":"Returns a boolean on whether a check was performed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsigneeDeliveryNotesInPool"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignee/delivery-notes/{deliveryNoteKey}/extraction/restart":{"post":{"summary":"Restart a failed delivery note extraction","description":"Restarts the article extraction process for a delivery note that has failed.\nOnly delivery notes with a FAILED articleStage can be restarted.\nA delivery note can only be restarted once.\n","operationId":"restartDeliveryNoteExtraction","x-required-feature-flag":"articlesAI","tags":["delivery notes"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"responses":{"202":{"description":"Extraction restart accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtractionRestartResponse"}}}},"409":{"description":"Extraction cannot be restarted"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignor/delivery-notes/{deliveryNoteKey}/complete-pdf":{"get":{"summary":"Get a complete pdf with checkout and checkin data","description":"Get a complete pdf with checkout and checkin data: the delivery note,\nall attachments, all signatures, all images and the control page\nas a consignor. The last page is the controls page.\n","operationId":"getConsignorDeliveryNoteCombinedPdf","x-required-feature-flag":"consignorCompletePdf","tags":["delivery notes","consignor","pdf"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"responses":{"200":{"$ref":"#/components/responses/PDFFileResponse"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/carrier/delivery-notes/{deliveryNoteKey}/complete-pdf":{"get":{"summary":"Get a complete pdf with checkout and checkin data","description":"Get a complete pdf with checkout and checkin data: the delivery note,\nall attachments, all signatures, all images and the control page\nas a carrier. The last page is the controls page.\n","operationId":"getCarrierDeliveryNoteCombinedPdf","tags":["delivery notes","carrier","pdf"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"responses":{"200":{"$ref":"#/components/responses/PDFFileResponse"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/organization-sites/{organizationSiteKey}/consignee/delivery-notes/{deliveryNoteKey}/complete-pdf":{"get":{"summary":"Get a complete pdf with checkout and checkin data","description":"Get a complete pdf with checkout and checkin data: the delivery note,\nall attachments, all signatures, all images and the control page\nas a consignee. The last page is the controls page.\n","operationId":"getConsigneeDeliveryNoteCombinedPdf","x-required-feature-flag":"consigneeCompletePdf","tags":["delivery notes","consignee","checkins","pdf"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"$ref":"#/components/parameters/deliveryNoteKeyParam"}],"responses":{"200":{"$ref":"#/components/responses/PDFFileResponse"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/administration/delivery-notes/monthly-reports":{"get":{"summary":"List available monthly delivery note reports for all sites the user has access to","description":"Retrieve a list of all available monthly delivery note report ZIP files\nacross all sites the user has admin permissions for. Organization admins\nsee reports for all sites in their organization(s). Site admins see reports\nfor all sites where they have site admin permissions.\n","operationId":"listMonthlyDeliveryNoteReports","x-required-feature-flag":"monthlyDeliveryNoteReport","tags":["administration"],"responses":{"200":{"description":"List of available monthly reports","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonthlyDeliveryNoteReportsList"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/administration/organization-sites/{organizationSiteKey}/delivery-notes/monthly-reports/{year}/{month}":{"get":{"summary":"Download a specific monthly delivery note report ZIP file","description":"Download the ZIP file containing all delivery note PDFs for a specific\nmonth and organization site. The file must exist (have been generated\nby the monthly report cronjob). Organization admins can download reports\nfor any site in their organization. Site admins can only download reports\nfor sites where they have site admin permissions.\n","operationId":"downloadMonthlyDeliveryNoteReport","x-required-feature-flag":"monthlyDeliveryNoteReport","tags":["administration"],"parameters":[{"$ref":"#/components/parameters/organizationSiteKeyParam"},{"name":"year","in":"path","required":true,"schema":{"type":"integer"},"description":"Year of the report (e.g., 2025)"},{"name":"month","in":"path","required":true,"schema":{"type":"integer","minimum":1,"maximum":12},"description":"Month of the report (1-12)"}],"responses":{"200":{"description":"ZIP file containing delivery note PDFs","content":{"application/zip":{"schema":{"type":"string","format":"binary"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/platform/organization-sites":{"get":{"summary":"Get all organization sites.","description":"Returns all organization sites and their roles.\n","operationId":"getPlatformOrganisationSitesAddons","tags":["platform"],"responses":{"200":{"description":"All organization sites","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationSite"}}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/platform/organizations":{"get":{"summary":"Get all organizations with their sites.","description":"Returns all organizations and their sites.\n","operationId":"getPlatformOrganisationsAddons","tags":["platform"],"responses":{"200":{"description":"All organizations","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationKeysAndNames"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/me":{"get":{"summary":"Get information of the logged in user","description":"Get user information of the logged in user.\nIt also returns the features and config of every organization the user is a member of.\n","operationId":"getMeAddons","tags":["users"],"responses":{"200":{"description":"User information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginResponse"}}}},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}},"/users/request-password-change":{"put":{"summary":"Request email for password change.","description":"Request the email for password change. Keycloak will send an email\nto the user with a link to change the password.\n","operationId":"requestPasswordChange","tags":["users"],"responses":{"204":{"description":"Email sent successfully"},"default":{"$ref":"#/components/responses/DefaultErrorResponse"}}}}},"components":{"schemas":{"FailedDeliveryNote":{"type":"object","properties":{"_key":{"type":"string"},"number":{"type":"string"}}},"MonthlyDeliveryNoteReport":{"type":"object","properties":{"organizationSiteKey":{"type":"string"},"year":{"type":"number"},"month":{"type":"number"},"deliveryNoteCount":{"type":"number"},"failedDeliveryNoteCount":{"type":"number"},"failedDeliveryNotes":{"type":"array","items":{"$ref":"#/components/schemas/FailedDeliveryNote"}},"fileSize":{"type":"number"},"processedAt":{"type":"number"},"filename":{"type":"string"}}},"MonthlyDeliveryNoteReportsList":{"type":"array","items":{"$ref":"#/components/schemas/MonthlyDeliveryNoteReport"}},"ApiKeyRenewalResponse":{"type":"object","additionalProperties":false,"required":["expiryDate"],"properties":{"expiryDate":{"$ref":"#/components/schemas/TimestampType"}}},"PatchDeliveryNoteConsigneeData":{"type":"object","additionalProperties":false,"description":"Update certification number flags and consignee order number","properties":{"naturlandCertificationNumber":{"type":"boolean"},"qsCertificationNumber":{"type":"boolean"},"gqbCertificationNumber":{"type":"boolean"},"consigneeOrderNumber":{"$ref":"#/components/schemas/NameType"}}},"CertificationNumbersChecked":{"type":"object","additionalProperties":false,"required":["naturlandCertificationNumber","qsCertificationNumber","gqbCertificationNumber"],"properties":{"naturlandCertificationNumber":{"type":"boolean"},"qsCertificationNumber":{"type":"boolean"},"gqbCertificationNumber":{"type":"boolean"}}},"DeliveryNoteWithCertificationNumbersChecked":{"type":"object","additionalProperties":false,"required":["_key","dateCreated","dateAnnounced","showDateAnnouncedTime","dateShipped","dateReceived","fileName","number","orderNumber","loadCarriers","discrepancies","fineDiscrepancies","palletTickets","consignorLoadCarrierImages","consigneeLoadCarrierImages","consignorLoadCarrierExchange","consigneeLoadCarrierExchange","originalConsignor","originalConsignorGln","consignorKey","carrierKey","consigneeKey","partOfTour","tourKey","externalTourName","tourNumber","consignorName","carrierName","consigneeName","carrierNumberPlateOutgoing","carrierNumberPlateIncoming","deliveryNoteBundleKey","deliveryNoteBundleName","deliveryNoteBundleNumber","deliveryNoteBundleStatus","selfCheckinDataSet","checkinDateCreated","attachmentsCount","organicCertificationNumberChecked","naturlandCertificationNumber","qsCertificationNumber","gqbCertificationNumber","basicDiscrepancies","driverOutgoingSignatureDate","consigneeSignatureDate","driverIncomingSignatureDate","articleStage","extractionAttemptCount","status"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"dateCreated":{"$ref":"#/components/schemas/TimestampType"},"dateAnnounced":{"$ref":"#/components/schemas/TimestampType"},"showDateAnnouncedTime":{"type":"boolean"},"dateShipped":{"$ref":"#/components/schemas/TimestampType"},"dateReceived":{"$ref":"#/components/schemas/TimestampType"},"fileName":{"$ref":"#/components/schemas/NameType"},"orderNumber":{"$ref":"#/components/schemas/NameType"},"number":{"$ref":"#/components/schemas/NameType"},"loadCarriers":{"$ref":"#/components/schemas/LoadCarriers"},"loadCarriersConsignee":{"$ref":"#/components/schemas/LoadCarriers"},"loadCarriersConsignor":{"$ref":"#/components/schemas/LoadCarriers"},"discrepancies":{"type":"boolean"},"fineDiscrepancies":{"type":"boolean"},"palletTickets":{"type":"boolean"},"consignorLoadCarrierImages":{"type":"boolean"},"consigneeLoadCarrierImages":{"type":"boolean"},"consignorLoadCarrierExchange":{"type":"boolean"},"consigneeLoadCarrierExchange":{"type":"boolean"},"partOfTour":{"type":"boolean"},"tourKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"externalTourName":{"$ref":"#/components/schemas/NameType"},"tourNumber":{"$ref":"#/components/schemas/NameType"},"originalConsignor":{"$ref":"#/components/schemas/NameType"},"originalConsignorGln":{"$ref":"#/components/schemas/OriginalConsignorGln"},"consignorKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"carrierKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"consigneeKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"consignorName":{"$ref":"#/components/schemas/NameType"},"carrierName":{"$ref":"#/components/schemas/NameType"},"consigneeName":{"$ref":"#/components/schemas/NameType"},"carrierNumberPlateOutgoing":{"$ref":"#/components/schemas/NameType"},"carrierNumberPlateIncoming":{"$ref":"#/components/schemas/NameType"},"deliveryNoteBundleKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"deliveryNoteBundleName":{"$ref":"#/components/schemas/NameType"},"deliveryNoteBundleNumber":{"$ref":"#/components/schemas/NameType"},"deliveryNoteBundleStatus":{"type":"string","enum":["-","open","sent","closed"]},"checkinKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"selfCheckinDataSet":{"type":"boolean"},"checkinDateCreated":{"$ref":"#/components/schemas/TimestampType"},"attachmentsCount":{"$ref":"#/components/schemas/AttachmentsCount"},"organicCertificationNumberChecked":{"type":"boolean"},"naturlandCertificationNumber":{"type":"boolean"},"qsCertificationNumber":{"type":"boolean"},"gqbCertificationNumber":{"type":"boolean"},"basicDiscrepancies":{"type":"boolean"},"driverOutgoingSignatureDate":{"$ref":"#/components/schemas/TimestampType"},"consigneeSignatureDate":{"$ref":"#/components/schemas/TimestampType"},"driverIncomingSignatureDate":{"$ref":"#/components/schemas/TimestampType"},"consigneeOrderNumber":{"$ref":"#/components/schemas/NameType"},"properties":{"$ref":"#/components/schemas/DeliveryProperties"},"articleStage":{"$ref":"#/components/schemas/DeliveryNoteArticleStage"},"extractionAttemptCount":{"type":"integer"},"status":{"type":"string","enum":["open","sent","closed"]}}},"DeliveryProperties":{"type":"object","additionalProperties":false,"properties":{"referenceNumber":{"$ref":"#/components/schemas/ReferenceNumberAsStringType"}}},"ReferenceNumberAsStringType":{"type":"string","maxLength":60,"pattern":"^$|^[^,]{3,60}$"},"OriginalConsignorGln":{"type":"string","maxLength":13,"pattern":"^(|[0-9]{13})$","description":"13 digit GLN number. Can be empty if no GLN is available."},"DeliveryNoteArticleStage":{"type":"string","enum":["STRUCTURED_DELIVERYNOTE","UNSTRUCTURED_DELIVERYNOTE","TXT_EXTRACTED","IMAGES_EXTRACTED","AI_ARTICLE_EXTRACTED","FAILED","UNKNOWN"]},"ExtractionRestartResponse":{"type":"object","additionalProperties":false,"required":["deliveryNoteKey","message"],"properties":{"deliveryNoteKey":{"$ref":"#/components/schemas/KeyType"},"message":{"type":"string"}}},"ConsigneeDeliveryNotesInPool":{"type":"array","items":{"$ref":"#/components/schemas/ConsigneeDeliveryNoteInPool"}},"ConsigneeDeliveryNoteInPool":{"type":"object","additionalProperties":false,"required":["_key","dateCreated","dateAnnounced","showDateAnnouncedTime","dateShipped","dateReceived","fileName","number","loadCarriers","discrepancies","fineDiscrepancies","palletTickets","consignorLoadCarrierImages","consigneeLoadCarrierImages","consignorLoadCarrierExchange","consigneeLoadCarrierExchange","tourKey","externalTourName","tourNumber","consignorKey","consignorName","carrierKey","carrierName","consigneeKey","consigneeName","carrierNumberPlateIncoming","deliveryNoteBundleKey","deliveryNoteBundleName","deliveryNoteBundleNumber","deliveryNoteBundleStatus","checkinKey","attachmentsCount","organicCertificationNumberChecked","status"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"dateCreated":{"$ref":"#/components/schemas/TimestampType"},"dateAnnounced":{"$ref":"#/components/schemas/TimestampType"},"showDateAnnouncedTime":{"type":"boolean"},"dateShipped":{"$ref":"#/components/schemas/TimestampType"},"dateReceived":{"$ref":"#/components/schemas/TimestampType"},"fileName":{"$ref":"#/components/schemas/NameType"},"orderNumber":{"$ref":"#/components/schemas/NameType"},"number":{"$ref":"#/components/schemas/NameType"},"loadCarriers":{"$ref":"#/components/schemas/LoadCarriers"},"discrepancies":{"type":"boolean"},"fineDiscrepancies":{"type":"boolean"},"palletTickets":{"type":"boolean"},"consignorLoadCarrierImages":{"type":"boolean"},"consigneeLoadCarrierImages":{"type":"boolean"},"consignorLoadCarrierExchange":{"type":"boolean"},"consigneeLoadCarrierExchange":{"type":"boolean"},"tourKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"externalTourName":{"$ref":"#/components/schemas/NameType"},"tourNumber":{"$ref":"#/components/schemas/NameType"},"originalConsignor":{"$ref":"#/components/schemas/NameType"},"originalConsignorGln":{"$ref":"#/components/schemas/OriginalConsignorGln"},"consignorKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"consignorName":{"$ref":"#/components/schemas/NameType"},"carrierKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"carrierName":{"$ref":"#/components/schemas/NameType"},"consigneeKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"consigneeName":{"$ref":"#/components/schemas/NameType"},"carrierNumberPlateIncoming":{"$ref":"#/components/schemas/NameType"},"deliveryNoteBundleKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"deliveryNoteBundleName":{"$ref":"#/components/schemas/NameType"},"deliveryNoteBundleNumber":{"$ref":"#/components/schemas/NameType"},"deliveryNoteBundleStatus":{"type":"string","enum":["sent","closed"]},"checkinKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"attachmentsCount":{"$ref":"#/components/schemas/AttachmentsCount"},"controls":{"type":"boolean"},"consigneeOrderNumber":{"$ref":"#/components/schemas/NameType"},"organicCertificationNumberChecked":{"type":"boolean"},"status":{"type":"string","enum":["open","sent","closed"]},"properties":{"$ref":"#/components/schemas/DeliveryProperties"}}},"ConsigneeOrderNumber":{"type":"object","additionalProperties":false,"required":["consigneeOrderNumber"],"properties":{"consigneeOrderNumber":{"$ref":"#/components/schemas/NameType"}}},"LoadCarriers":{"type":"array","items":{"$ref":"#/components/schemas/LoadCarrier"}},"LoadCarrier":{"type":"object","additionalProperties":false,"description":"Load carrier for delivery note","required":["_key","name","description","operation","quantity","damaged","notice"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"name":{"$ref":"#/components/schemas/NameType"},"description":{"$ref":"#/components/schemas/DescriptionType"},"operation":{"$ref":"#/components/schemas/LoadCarrierOperation"},"quantity":{"type":"integer"},"damaged":{"type":"boolean"},"notice":{"$ref":"#/components/schemas/DescriptionType"}}},"PostConsigneeCheckinDeliveryNotesRequest":{"type":"array","items":{"$ref":"#/components/schemas/KeyType"},"minItems":1},"ConsigneeCheckinResponse":{"type":"object","additionalProperties":false,"required":["_key","dateCreated","dateFinished","driverName","driverNumberPlate","status","deliveryNotes","selfCheckinData","selfCheckinDataSet","transactionId","dateConsigneeSigned","dateDriverSigned"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"dateCreated":{"$ref":"#/components/schemas/TimestampType"},"dateFinished":{"$ref":"#/components/schemas/TimestampType"},"driverName":{"$ref":"#/components/schemas/NameType"},"driverNumberPlate":{"$ref":"#/components/schemas/NameType"},"status":{"type":"string","enum":["started","finished"]},"deliveryNotes":{"type":"array","items":{"$ref":"#/components/schemas/CheckinDeliveryNote"}},"selfCheckinData":{"$ref":"#/components/schemas/SelfCheckinDataInsertion"},"selfCheckinDataSet":{"type":"boolean"},"transactionId":{"$ref":"#/components/schemas/NameType"},"dateConsigneeSigned":{"$ref":"#/components/schemas/TimestampType"},"dateDriverSigned":{"$ref":"#/components/schemas/TimestampType"}}},"CheckinDeliveryNote":{"type":"object","additionalProperties":false,"required":["_key","fileName","number","orderNumber","consignorName","carrierName","consigneeName"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"fileName":{"$ref":"#/components/schemas/NameType"},"number":{"$ref":"#/components/schemas/NameType"},"orderNumber":{"$ref":"#/components/schemas/NameType"},"consignorName":{"$ref":"#/components/schemas/NameType"},"carrierName":{"$ref":"#/components/schemas/NameType"},"consigneeName":{"$ref":"#/components/schemas/NameType"}}},"SelfCheckinDataInsertion":{"type":"object","additionalProperties":false,"maxProperties":5,"properties":{"NAME":{"$ref":"#/components/schemas/NameType"},"LICENSE_PLATE_NUMBER":{"$ref":"#/components/schemas/NameType"},"REFERENCE_NUMBER":{"$ref":"#/components/schemas/NameType"},"BOOKING_NUMBER":{"$ref":"#/components/schemas/NameType"},"TIME_SLOT_BOOKING_NUMBER":{"$ref":"#/components/schemas/NameType"},"WAITING_NUMBER":{"$ref":"#/components/schemas/NameType"},"PHONE_NUMBER":{"$ref":"#/components/schemas/NameType"},"PAGER_NUMBER":{"$ref":"#/components/schemas/NameType"}}},"SelfCheckinDataRequest":{"type":"object","additionalProperties":false,"required":["deliveryNoteKeys","selfCheckinData"],"properties":{"deliveryNoteKeys":{"type":"array","items":{"$ref":"#/components/schemas/KeyType"},"minItems":1},"selfCheckinData":{"$ref":"#/components/schemas/SelfCheckinDataInsertion"}}},"LoadCarrierOperation":{"type":"string","description":"Operations for LoadCarrier","enum":["adoption","delivery"]},"Articles":{"type":"array","items":{"$ref":"#/components/schemas/ArticleAttributes"},"minItems":0},"ArticlesResponse":{"type":"array","items":{"$ref":"#/components/schemas/ArticleResponseType"}},"ArticleResponseType":{"type":"object","additionalProperties":false,"required":["_key","index","gtin","description","pos","articleNumber","quantity","danger","qs","edits","checked","hasDiscrepancy","isAI","editedAdded","editedAddedOn","editedAddedBy","editedRemoved","editedRemovedOn","editedRemovedBy","articleOrderNumber"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"index":{"type":"number","minimum":0},"gtin":{"$ref":"#/components/schemas/NameType"},"description":{"$ref":"#/components/schemas/NameType"},"pos":{"$ref":"#/components/schemas/NameType"},"articleNumber":{"$ref":"#/components/schemas/NameType"},"customerArticleNumber":{"$ref":"#/components/schemas/NameType"},"containerType":{"$ref":"#/components/schemas/NameType"},"quantity":{"type":"number","minimum":0},"danger":{"type":"boolean"},"dangerClass":{"$ref":"#/components/schemas/NameType"},"dateExpired":{"$ref":"#/components/schemas/NullableTimestampType"},"batchNumber":{"$ref":"#/components/schemas/NameType"},"qs":{"type":"boolean"},"organic":{"type":"boolean"},"naturland":{"type":"boolean"},"gqb":{"type":"boolean"},"edits":{"$ref":"#/components/schemas/EditedArticleAttributes"},"checked":{"type":"boolean"},"hasDiscrepancy":{"type":"boolean"},"isAI":{"type":"boolean"},"editedAdded":{"description":"Associated article was added later as an edit.","type":"boolean"},"editedAddedOn":{"$ref":"#/components/schemas/TimestampType"},"editedAddedBy":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"editedRemoved":{"description":"Associated article was removed later as an edit.","type":"boolean"},"editedRemovedOn":{"$ref":"#/components/schemas/TimestampType"},"editedRemovedBy":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"articleOrderNumber":{"$ref":"#/components/schemas/NameType"},"ggn":{"type":"string","nullable":true},"countryOfOrigin":{"type":"string","nullable":true},"automaticCompareStatus":{"type":"string","description":"Status from automatic goods receipt comparison.\nMATCH = quantities match (green), OVER_DELIVERED = too many (red), UNDER_DELIVERED = too few (red).\nNot present means no comparison was performed.\n","enum":["MATCH","OVER_DELIVERED","UNDER_DELIVERED"]},"expectedQuantity":{"type":"number","minimum":0,"description":"Expected quantity from goods receipt data (ASN/S4HANA).\nOnly present when goods receipt data exists for this article position.\n"},"metaData":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/ASNMetaData"}]},"discriminator":{"propertyName":"type","mapping":{"ASN":"#/components/schemas/ASNMetaData"}},"default":[{"type":"ASN"}]},"qsStatus":{"type":"string","description":"Per-article QS status (traffic light).\nred = no ASN match, yellow = ASN match but quantity differs, green = ASN match and quantity matches.\n","enum":["red","yellow","green"]},"articleNotes":{"type":"array","items":{"$ref":"#/components/schemas/ArticleNoteResponse"}}}},"ASNMetaData":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/MetaDataEnum"},"item":{"$ref":"#/components/schemas/NameType"},"sellableCode":{"$ref":"#/components/schemas/NameType"},"advancedShippingNotice":{"$ref":"#/components/schemas/NameType"},"storageLocation":{"$ref":"#/components/schemas/NameType"}}},"MetaDataEnum":{"type":"string","enum":["ASN"]},"ArticleNoteResponse":{"type":"object","additionalProperties":false,"required":["_key","noteText","authorOrganizationSiteKey","authorOrganizationSiteName","dateNoteCreated","noteVisibleForOthers"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"noteText":{"type":"string"},"authorOrganizationSiteKey":{"$ref":"#/components/schemas/KeyType"},"authorOrganizationSiteName":{"type":"string"},"dateNoteCreated":{"type":"integer","format":"number","description":"UNIX timestamp in milliseconds"},"noteVisibleForOthers":{"type":"boolean","description":"Whether the note is visible to the other party. Notes written by the consignor are always visible; consignee notes are only visible to others once explicitly shared."}}},"ArticleAttributes":{"type":"object","additionalProperties":false,"required":["index","quantity","containerType","description","articleNumber"],"properties":{"index":{"description":"Order of goods on the delivery notes frontend","type":"number","minimum":0},"gtin":{"description":"Global Trade Item Number used in barcodes/RFID","$ref":"#/components/schemas/NameType"},"description":{"description":"Arbitrary string","$ref":"#/components/schemas/NameType"},"pos":{"description":"The pos number within  delivery note document (order on frontend is not affected by this, only by index attribute)","$ref":"#/components/schemas/NameType"},"articleNumber":{"description":"Article number from consignor","type":"string","minLength":1,"maxLength":1024},"customerArticleNumber":{"description":"Article number from consignee (is within Aldi Süd SAP called item code)","$ref":"#/components/schemas/NameType"},"containerType":{"description":"Arbitrary string for type of packaging","type":"string","minLength":1,"maxLength":1024},"quantity":{"description":"Quantity, required to be consistent with quantity from the offer process","type":"number","minimum":1},"danger":{"description":"Is this good classified as danger?","type":"boolean"},"dangerClass":{"description":"String represents danger class","$ref":"#/components/schemas/NameType"},"dateExpired":{"description":"Mindesthaltbarkeitsdatum (only in unix timestamp)","$ref":"#/components/schemas/NullableTimestampType"},"batchNumber":{"description":"In german “Chargennummer”","$ref":"#/components/schemas/NameType"},"qs":{"description":"Is the good QS certified? (QS Qualität und Sicherheit GmbH)","type":"boolean"},"organic":{"description":"Is the good organic?","type":"boolean"},"naturland":{"description":"Is the good naturland certified?","type":"boolean"},"gqb":{"description":"Is the good “GQ-Bayern” certified?","type":"boolean"},"articleOrderNumber":{"description":"Only relevant for bundle delivery notes, article specific order number (is different from delivery note order number)","$ref":"#/components/schemas/NameType"},"ggn":{"description":"13-digit unique producer ID within GLOBALG.A.P. database","type":"string","nullable":true},"countryOfOrigin":{"description":"Country of origin","type":"string","nullable":true}}},"EditArticleAttributes":{"type":"object","additionalProperties":false,"properties":{"index":{"type":"number","minimum":0},"gtin":{"$ref":"#/components/schemas/NameType"},"description":{"$ref":"#/components/schemas/NameType"},"pos":{"$ref":"#/components/schemas/NameType"},"articleNumber":{"type":"string","maxLength":1024},"customerArticleNumber":{"$ref":"#/components/schemas/NameType"},"containerType":{"type":"string","maxLength":1024},"quantity":{"type":"number"},"danger":{"type":"boolean"},"dangerClass":{"$ref":"#/components/schemas/NameType"},"dateExpired":{"$ref":"#/components/schemas/NullableTimestampType"},"batchNumber":{"$ref":"#/components/schemas/NameType"},"qs":{"type":"boolean"},"organic":{"type":"boolean"},"naturland":{"type":"boolean"},"gqb":{"type":"boolean"},"articleOrderNumber":{"$ref":"#/components/schemas/NameType"},"ggn":{"type":"string","nullable":true},"countryOfOrigin":{"type":"string","nullable":true}}},"EditedArticleAttributes":{"type":"object","additionalProperties":false,"properties":{"index":{"$ref":"#/components/schemas/EditedPositiveNumberTypeArticleAttribute"},"gtin":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"description":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"pos":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"articleNumber":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"customerArticleNumber":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"containerType":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"quantity":{"$ref":"#/components/schemas/EditedPositiveNumberTypeArticleAttribute"},"danger":{"$ref":"#/components/schemas/EditedBooleanTypeArticleAttribute"},"dangerClass":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"dateExpired":{"$ref":"#/components/schemas/EditedTimestampTypeArticleAttribute"},"batchNumber":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"qs":{"$ref":"#/components/schemas/EditedBooleanTypeArticleAttribute"},"organic":{"$ref":"#/components/schemas/EditedBooleanTypeArticleAttribute"},"naturland":{"$ref":"#/components/schemas/EditedBooleanTypeArticleAttribute"},"gqb":{"$ref":"#/components/schemas/EditedBooleanTypeArticleAttribute"},"articleOrderNumber":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"ggn":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"},"countryOfOrigin":{"$ref":"#/components/schemas/EditedNameTypeArticleAttribute"}}},"EditedNameTypeArticleAttribute":{"type":"object","additionalProperties":false,"required":["value","editedOn","editedBy"],"properties":{"value":{"$ref":"#/components/schemas/NameType"},"editedBy":{"$ref":"#/components/schemas/KeyType"},"editedOn":{"$ref":"#/components/schemas/TimestampType"}}},"EditedPositiveNumberTypeArticleAttribute":{"type":"object","additionalProperties":false,"required":["value","editedOn","editedBy"],"properties":{"value":{"type":"number","minimum":0},"editedBy":{"$ref":"#/components/schemas/KeyType"},"editedOn":{"$ref":"#/components/schemas/TimestampType"}}},"EditedBooleanTypeArticleAttribute":{"type":"object","additionalProperties":false,"required":["value","editedOn","editedBy"],"properties":{"value":{"type":"boolean"},"editedBy":{"$ref":"#/components/schemas/KeyType"},"editedOn":{"$ref":"#/components/schemas/TimestampType"}}},"EditedTimestampTypeArticleAttribute":{"type":"object","additionalProperties":false,"required":["value","editedOn","editedBy"],"properties":{"value":{"type":"integer","minimum":0,"maximum":9007199254740991},"editedBy":{"$ref":"#/components/schemas/KeyType"},"editedOn":{"$ref":"#/components/schemas/TimestampType"}}},"CheckArticle":{"type":"object","required":["checked"],"properties":{"checked":{"type":"boolean"}}},"ArticleDiscrepancyRequest":{"type":"object","additionalProperties":false,"required":["reason","number","unit","note"],"properties":{"reason":{"$ref":"#/components/schemas/DiscrepanciesReason"},"number":{"$ref":"#/components/schemas/PositiveIntegerType"},"unit":{"$ref":"#/components/schemas/DiscrepanciesUnit"},"note":{"$ref":"#/components/schemas/DiscrepanciesNote"}}},"PartialArticleDiscrepancyRequest":{"type":"object","additionalProperties":false,"properties":{"reason":{"$ref":"#/components/schemas/DiscrepanciesReason"},"number":{"$ref":"#/components/schemas/PositiveIntegerType"},"unit":{"$ref":"#/components/schemas/DiscrepanciesUnit"},"note":{"$ref":"#/components/schemas/DiscrepanciesNote"}}},"ArticleDiscrepanciesRequest":{"type":"array","additionalProperties":false,"items":{"$ref":"#/components/schemas/ArticleDiscrepancyRequest"}},"ArticleDiscrepanciesResponse":{"type":"array","additionalProperties":false,"items":{"$ref":"#/components/schemas/ArticleDiscrepancyResponse"}},"ArticleDiscrepancyResponse":{"type":"object","additionalProperties":false,"required":["_key","dateCreated","articleKey","reason","number","unit","note"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"dateCreated":{"$ref":"#/components/schemas/TimestampType"},"articleKey":{"$ref":"#/components/schemas/KeyType"},"reason":{"$ref":"#/components/schemas/DiscrepanciesReason"},"number":{"$ref":"#/components/schemas/PositiveIntegerType"},"unit":{"$ref":"#/components/schemas/DiscrepanciesUnit"},"note":{"$ref":"#/components/schemas/DiscrepanciesNote"},"isAutomatic":{"type":"boolean","description":"Indicates if the discrepancy was automatically created by the goods receipt comparison."}}},"DiscrepanciesNote":{"type":"string","maxLength":400},"DiscrepanciesReason":{"type":"string","enum":["OVER_DELIVERED","UNDER_DELIVERED","NOT_ANNOUNCED","REFUSAL_OF_ACCEPTANCE"]},"DiscrepanciesUnit":{"type":"string","enum":["PIECE","QUARTER_DISPLAY","HALF_DISPLAY","CARTON","PALLET","COLLI","TRAY","KILOGRAM","GRAM","TON","PARTIAL_PALLET","PACKAGE","SET_BUNDLE","BATCH","LITER","CUBIC_METER","LINEAR_METER","CONSUMER_UNIT","CANISTER","EURO_PALLET","DDP_HALF_PALLET","H1_PALLET","INDUSTRIAL_PALLET","CHEP_1_1","CHEP_1_2","CHEP_1_4","CHEP_PLASTIC_EURO_PALLET","LPR_1_1","LPR_1_2","LPR_1_4","IPP_1_1","IPP_1_2","IPP_1_4","GITTERBOX","DISPOSABLE_PALLET","E1_BOX","E2_BOX","WK1_BOX","WK2_BOX","ARPACK_1_2","PANEL_PALLET","PLASTIC_HALF_PALLET","BRUNNEN_PALLET","CHIPBOARD_PALLET","CC_CONTAINER","CC_TROLLEY","CC_BARS","CC_SHELVES","CC_RISER","EC_CONTAINER","EC_TROLLEY","EC_BAR","EC_SHELVES","FLORITRAY","PRETURN_1_1","PRETURN_1_2","KDP_PLASTIC_DUSSELDORF_PALLET","IFCO_BOX_BLL_4314","IFCO_BOX_BLL_4320","IFCO_BOX_BLL_6408","IFCO_BOX_BLL_6410","IFCO_BOX_BLL_6413","IFCO_BOX_BLL_6416","IFCO_BOX_BLL_6418","IFCO_BOX_BLL_6420","IFCO_BOX_BLL_6424","OTHER"]},"DeliveryNoteMetaData":{"type":"object","additionalProperties":{"type":"string"}},"DeliveryNoteMetaDataResponse":{"type":"string"},"ConfigRequest":{"type":"object","additionalProperties":false,"required":["config"],"properties":{"config":{"$ref":"#/components/schemas/OrganizationConfig"}}},"ConfigResponse":{"type":"object","additionalProperties":false,"required":["config"],"properties":{"config":{"$ref":"#/components/schemas/OrganizationConfig"}}},"NotificationSettingRequest":{"type":"object","additionalProperties":false,"required":["emails","notifyOnDiscrepanciesOnly","isActive"],"properties":{"emails":{"type":"array","items":{"type":"string","format":"email"},"minItems":0,"maxItems":10},"notifyOnDiscrepanciesOnly":{"type":"boolean"},"isActive":{"type":"boolean"}}},"NotificationSettingResponse":{"type":"object","additionalProperties":false,"required":["emails","notifyOnDiscrepanciesOnly","isActive"],"properties":{"emails":{"type":"array","items":{"type":"string","format":"email"}},"notifyOnDiscrepanciesOnly":{"type":"boolean"},"isActive":{"type":"boolean"}}},"SettingRequest":{"type":"object","additionalProperties":false,"required":["notificationSettings"],"properties":{"notificationSettings":{"$ref":"#/components/schemas/NotificationSettingRequest"}}},"SettingResponse":{"type":"object","additionalProperties":false,"required":["_key","notificationSettings"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"notificationSettings":{"$ref":"#/components/schemas/NotificationSettingResponse"}}},"AdvancedShippingNotes":{"type":"array","items":{"$ref":"#/components/schemas/AdvancedShippingNotice"}},"AdvancedShippingNotice":{"type":"object","additionalProperties":false,"required":["advancedShippingNotice","articleOrderNumber","item","sellableCode","storageLocation","description","dateCreated","dateUpdated"],"properties":{"advancedShippingNotice":{"$ref":"#/components/schemas/NameType"},"articleOrderNumber":{"$ref":"#/components/schemas/NameType"},"item":{"$ref":"#/components/schemas/NameType"},"sellableCode":{"$ref":"#/components/schemas/NameType"},"storageLocation":{"$ref":"#/components/schemas/NameType"},"description":{"$ref":"#/components/schemas/NameType"},"dateCreated":{"$ref":"#/components/schemas/TimestampType"},"dateUpdated":{"$ref":"#/components/schemas/TimestampType"}}},"LoginRequest":{"type":"object","description":"Login","additionalProperties":false,"required":["emailAddress","password"],"properties":{"emailAddress":{"$ref":"#/components/schemas/NameType"},"password":{"$ref":"#/components/schemas/PasswordType"},"twoFaCode":{"$ref":"#/components/schemas/TwoFaCode"}}},"PasswordType":{"type":"string","pattern":"^(?=.*[a-z])(?=.*[A-Z])(?=.*\\d)[a-zA-Z\\d\\S]{10,}$","maxLength":1000},"TwoFaCode":{"type":"string","pattern":"^\\d{6}$"},"LoginResponse":{"type":"object","description":"Login response data","additionalProperties":false,"required":["_key","emailAddress","fullName","termsOfService","organizations","organizationSites","permissions","roles","dateLastFeedback"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"emailAddress":{"$ref":"#/components/schemas/EmailAddressType"},"fullName":{"$ref":"#/components/schemas/NameType"},"sessionId":{"$ref":"#/components/schemas/Base64Type"},"termsOfService":{"type":"object","additionalProperties":false,"required":["version","accepted","dateAccepted","dateAcceptUntil"],"properties":{"version":{"type":"integer","minimum":1,"maximum":1},"accepted":{"type":"boolean"},"dateAccepted":{"$ref":"#/components/schemas/TimestampType"},"dateAcceptUntil":{"$ref":"#/components/schemas/TimestampType"}}},"organizations":{"$ref":"#/components/schemas/Organizations"},"organizationSites":{"type":"array","items":{"$ref":"#/components/schemas/LoginOrganizationSite"}},"permissions":{"$ref":"#/components/schemas/UserPermissionsType"},"roles":{"$ref":"#/components/schemas/UserRolesArray"},"dateLastFeedback":{"$ref":"#/components/schemas/TimestampType"}}},"ExternalIdp":{"type":"object","additionalProperties":false,"required":["name","domains","requireThirdPartyUserId"],"properties":{"name":{"$ref":"#/components/schemas/NameType"},"domains":{"type":"array","items":{"$ref":"#/components/schemas/NameType"}},"requireThirdPartyUserId":{"type":"boolean"}}},"OrganizationKeysAndNames":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["_key","name","sites"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"name":{"$ref":"#/components/schemas/NameType"},"sites":{"type":"array","items":{"type":"object","description":"one site of an organization","additionalProperties":false,"required":["_key","name"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"name":{"$ref":"#/components/schemas/NameType"}}}}}}},"Organizations":{"type":"array","items":{"$ref":"#/components/schemas/Organization"}},"Organization":{"type":"object","description":"one organization the user belongs to","additionalProperties":false,"required":["_key","dateCreated","name","gln","phoneNumbers","sites","features","config"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"dateCreated":{"$ref":"#/components/schemas/TimestampType"},"name":{"$ref":"#/components/schemas/NameType"},"address":{"$ref":"#/components/schemas/NameType"},"location":{"$ref":"#/components/schemas/Location"},"gln":{"$ref":"#/components/schemas/NameType"},"phoneNumbers":{"$ref":"#/components/schemas/PhoneNumbersArray"},"sites":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationSite"}},"contact":{"additionalProperties":false,"required":["name","emailAddress","phoneNumbers"],"properties":{"name":{"$ref":"#/components/schemas/NameType"},"address":{"$ref":"#/components/schemas/NameType"},"location":{"$ref":"#/components/schemas/Location"},"emailAddress":{"$ref":"#/components/schemas/EmailAddressType","default":""},"phoneNumbers":{"$ref":"#/components/schemas/PhoneNumbersArray"}}},"quotas":{"$ref":"#/components/schemas/Quotas"},"permissions":{"$ref":"#/components/schemas/OrganizationPermissionsType"},"features":{"$ref":"#/components/schemas/OrganizationFeatures"},"config":{"$ref":"#/components/schemas/OrganizationConfig"},"externalIdps":{"type":"array","items":{"$ref":"#/components/schemas/ExternalIdp"}}}},"OrganizationConfig":{"type":"object","additionalProperties":false,"required":["hasRegistered"],"properties":{"hasRegistered":{"type":"boolean","description":"Indicates if the organization has registered for the service"}}},"OrganizationFeatures":{"type":"object","additionalProperties":false,"required":["ecmr","articlesAI","monthlyDeliveryNoteReport","articlesCompare","deliveryNoteMetadata","advancedShippingNotice","consignorArticlesRead","consignorArticlesEditing","consignorCompletePdf","consigneeArticlesRead","consigneeArticlesEditing","consigneeArticleDiscrepancies","extendedQSInspection","loadCarrierExchange","consigneeCompletePdf","emailBundleFinished","csvReporting","consigneeShowItemQRCode","generalGUIFeatures","aldiInfoTexts","adminTestArea","bundleGrouping","desadv"],"properties":{"ecmr":{"type":"boolean"},"articlesAI":{"type":"boolean"},"monthlyDeliveryNoteReport":{"type":"boolean","description":"Enable monthly delivery note archive generation and email delivery"},"articlesCompare":{"type":"boolean","description":"Enable articles comparison with S4HANA/Manhattan goods receipt data (ALDI SÜD only)"},"deliveryNoteMetadata":{"type":"boolean","description":"Enable additional metadata for delivery notes"},"advancedShippingNotice":{"type":"boolean","description":"Enable advanced shipping notice (ASN) data upload from external systems (e.g. S4HANA, Manhattan WMS) and QS status traffic light for delivery notes, bundles and tours"},"consignorArticlesRead":{"type":"boolean","description":"Enable consignor read access to articles"},"consignorArticlesEditing":{"type":"boolean","description":"Enable consignor article editing (create, update, delete)"},"consignorCompletePdf":{"type":"boolean","description":"Enable consignor merged PDF download"},"consigneeArticlesRead":{"type":"boolean","description":"Enable consignee read access to articles"},"consigneeArticlesEditing":{"type":"boolean","description":"Enable consignee article editing"},"consigneeArticleDiscrepancies":{"type":"boolean","description":"Enable consignee article discrepancy tracking"},"extendedQSInspection":{"type":"boolean","description":"Enable extended QS inspection scenarios for consignee"},"loadCarrierExchange":{"type":"boolean","description":"Enable load carrier exchange for consignee"},"consigneeCompletePdf":{"type":"boolean","description":"Enable consignee merged PDF download"},"emailBundleFinished":{"type":"boolean","description":"Enable email notification when bundle is finished"},"csvReporting":{"type":"boolean","description":"Enable CSV report configuration and download"},"consigneeShowItemQRCode":{"type":"boolean","description":"Enable display of item QR codes in consignee UI"},"generalGUIFeatures":{"type":"boolean","description":"Enable general GUI features"},"aldiInfoTexts":{"type":"boolean","description":"Enable ALDI-specific informational texts in the UI"},"adminTestArea":{"type":"boolean","description":"Enable api test area in admin panel"},"bundleGrouping":{"type":"boolean","description":"Enable bundle grouping (Mappen-Gruppen) for organization sites"},"desadv":{"type":"boolean","description":"Enable the consignor DESADV upload endpoint to enrich delivery notes with article data"}}},"LoginOrganizationSite":{"type":"object","description":"one site of an organization","additionalProperties":false,"required":["_key","gln","name","fullSiteName","phoneNumbers","consignor","carrier","consignee","organizationKey","allowRemoteAccess","roles","selfCheckin","selfCheckinConfig"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"address":{"type":"string"},"location":{"$ref":"#/components/schemas/Location"},"gln":{"type":"string"},"name":{"type":"string"},"fullSiteName":{"$ref":"#/components/schemas/NameType"},"phoneNumbers":{"$ref":"#/components/schemas/PhoneNumbersArray"},"consignor":{"type":"boolean"},"carrier":{"type":"boolean"},"consignee":{"type":"boolean"},"organizationKey":{"$ref":"#/components/schemas/KeyXorEmptyKeyType"},"allowRemoteAccess":{"type":"boolean"},"roles":{"$ref":"#/components/schemas/UserRolesArray"},"permissions":{"$ref":"#/components/schemas/OrganizationSitePermissionsType"},"selfCheckin":{"type":"boolean"},"selfCheckinConfig":{"$ref":"#/components/schemas/LoginOrganizationSelfCheckinConfig"}}},"LoginOrganizationSelfCheckinConfig":{"type":"object","description":"Self service config for login response","additionalProperties":false,"required":["scanner","selfCheckinData"],"properties":{"scanner":{"type":"boolean"},"selfCheckinData":{"$ref":"#/components/schemas/SelfCheckinDataArray"}}},"SelfCheckinDataArray":{"type":"array","maxItems":5,"items":{"$ref":"#/components/schemas/SelfCheckinData"}},"SelfCheckinData":{"type":"string","enum":["NAME","LICENSE_PLATE_NUMBER","PHONE_NUMBER","PAGER_NUMBER","REFERENCE_NUMBER","WAITING_NUMBER","BOOKING_NUMBER","TIME_SLOT_BOOKING_NUMBER"]},"Location":{"type":"object","additionalProperties":false,"required":["country","zipCode","city","street"],"properties":{"country":{"$ref":"#/components/schemas/NameType"},"zipCode":{"$ref":"#/components/schemas/NameType"},"city":{"$ref":"#/components/schemas/NameType"},"street":{"$ref":"#/components/schemas/NameType"}}},"OrganizationSite":{"type":"object","description":"one site of an organization","additionalProperties":false,"required":["_key","name","fullSiteName","gln","phoneNumbers","consignor","carrier","consignee"],"properties":{"_key":{"$ref":"#/components/schemas/KeyType"},"name":{"$ref":"#/components/schemas/NameType"},"fullSiteName":{"$ref":"#/components/schemas/NameType"},"address":{"$ref":"#/components/schemas/NameType"},"location":{"$ref":"#/components/schemas/Location"},"gln":{"$ref":"#/components/schemas/NameType"},"phoneNumbers":{"$ref":"#/components/schemas/PhoneNumbersArray"},"consignor":{"type":"boolean"},"carrier":{"type":"boolean"},"consignee":{"type":"boolean"},"permissions":{"$ref":"#/components/schemas/OrganizationSitePermissionsType"},"roles":{"$ref":"#/components/schemas/UserRolesArray"},"dateArchived":{"$ref":"#/components/schemas/TimestampType"},"allowRemoteAccess":{"type":"boolean"},"selfCheckin":{"type":"boolean"}}},"UserRolesArray":{"type":"array","minItems":0,"maxItems":8,"items":{"$ref":"#/components/schemas/UserRoles"}},"PhoneNumbersArray":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/NameType"}},"EmailAddressType":{"description":"String pattern for email address","type":"string","maxLength":1024},"KeyType":{"description":"one _key","type":"string","pattern":"^\\d+$","minLength":1,"maxLength":254},"NameType":{"type":"string","maxLength":1024,"default":""},"NameTypeNullAble":{"type":"string","maxLength":1024},"PositiveIntegerType":{"description":"A positiv Number","type":"integer","minimum":1},"Base64Type":{"type":"string","pattern":"^[A-Za-z0-9+/]+={0,2}$","minLength":1,"example":"JVBERi0...U9GCg=="},"PdfBase64Type":{"type":"string","minLength":1,"format":"base64Pdf"},"ImageBase64Type":{"type":"string","minLength":1,"format":"base64Image"},"EmptyArray":{"type":"array","description":"empty array","items":{"type":"integer","maximum":0},"minItems":0,"maxItems":0},"DeliveryNoteNumber":{"type":"string","maxLength":60,"minLength":3,"pattern":"^[A-Za-z0-9]+$"},"OrderNoteNumberAsStringType":{"type":"string","maxLength":60,"minLength":3,"pattern":"^\\d{3,}$"},"TimestampType":{"description":"UNIX timestamp in milliseconds","type":"integer","minimum":0,"maximum":9007199254740991},"NullableTimestampType":{"description":"UNIX timestamp in milliseconds","type":"integer","minimum":0,"maximum":9007199254740991,"nullable":true},"AttachmentsCount":{"type":"integer","minimum":0},"KeyXorEmptyKeyType":{"type":"string","pattern":"^(?![\\s\\S])|\\d+$"},"FileTypes":{"type":"string","enum":["application/pdf","image/heic","image/heif","image/jpeg","image/png"]},"BinaryFileType":{"description":"data that is encoded as binary data","type":"string","format":"binary"},"DescriptionType":{"type":"string","maxLength":10000},"Quotas":{"type":"object","additionalProperties":false,"description":"quotas per organization","required":["maxUsers","maxOrganizationSites","maxDeliveryNotesPerMonth","maxDeliveryNoteAttachments","maxBundlesPerMonth","maxCheckoutsPerMonth","maxToursPerMonth","maxCheckinsPerMonth"],"properties":{"maxUsers":{"type":"integer","minimum":0},"maxOrganizationSites":{"type":"integer","minimum":0},"maxDeliveryNotesPerMonth":{"type":"integer","minimum":0},"maxDeliveryNoteAttachments":{"type":"integer","minimum":0},"maxBundlesPerMonth":{"type":"integer","minimum":0},"maxCheckoutsPerMonth":{"type":"integer","minimum":0},"maxToursPerMonth":{"type":"integer","minimum":0},"maxCheckinsPerMonth":{"type":"integer","minimum":0}}},"UserRoles":{"type":"string","enum":["carrier","consignee","consignor","organization_admin","site_admin","remote_consignor","remote_consignee","remote_carrier","self_checkin","service_provider"]},"UserPermissionsType":{"description":"All user permissions. If set to true user has this permission. This permissions are set directly to the user and operate globally.","type":"object","additionalProperties":true,"properties":{}},"OrganizationPermissionsType":{"description":"all organization permissions. If set to true user has this permission for the organization","type":"object","additionalProperties":true,"properties":{}},"OrganizationSitePermissionsType":{"description":"all organization site permissions. If set to true user has this permission for the organization site","type":"object","additionalProperties":true,"properties":{}}},"parameters":{"organizationSiteKeyParam":{"in":"path","name":"organizationSiteKey","required":true,"schema":{"$ref":"#/components/schemas/KeyType"}},"deliveryNoteKeyParam":{"in":"path","name":"deliveryNoteKey","required":true,"schema":{"$ref":"#/components/schemas/KeyType"}},"articleKeyParam":{"in":"path","name":"articleKey","required":true,"schema":{"$ref":"#/components/schemas/KeyType"}},"dlssessionIdParam":{"in":"path","name":"dlssessionId","required":true,"schema":{"$ref":"#/components/schemas/NameType"}},"organizationKeyParam":{"in":"path","name":"organizationKey","required":true,"schema":{"$ref":"#/components/schemas/KeyType"}},"metaDataKeyParam":{"in":"path","name":"metaDataKey","required":true,"schema":{"$ref":"#/components/schemas/NameType"}},"discrepancyKeyParam":{"in":"path","name":"discrepancyKey","required":true,"schema":{"$ref":"#/components/schemas/KeyType"}},"OrderNumberParam":{"in":"query","required":false,"name":"orderNumber","schema":{"$ref":"#/components/schemas/NameTypeNullAble"}},"FromTimestampTypeParam":{"in":"query","required":true,"name":"from","schema":{"$ref":"#/components/schemas/TimestampType"}},"ToTimestampTypeParam":{"in":"query","required":true,"name":"to","schema":{"$ref":"#/components/schemas/TimestampType"}}},"requestBodies":{},"responses":{"ZipCsvFileResponse":{"description":"Returns a zip file containing multiple csv files","content":{"application/zip":{"schema":{"type":"string","format":"binary"}}}},"PDFFileResponse":{"description":"Returns a pdf file","content":{"application/pdf":{"schema":{"$ref":"#/components/schemas/BinaryFileType"}}}},"DefaultErrorResponse":{"description":"Default error response","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["errorMessage"],"properties":{"errorMessage":{"$ref":"#/components/schemas/NameType"}}}}}},"AdvancedShippingNoticeErrorResponse":{"description":"Advanced Shipping Notice Error Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["errorMessage","duplicateAdvancedShippingNotes"],"properties":{"errorMessage":{"$ref":"#/components/schemas/NameType"},"duplicateAdvancedShippingNotes":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["articleOrderNumber","sellableCode"],"properties":{"articleOrderNumber":{"$ref":"#/components/schemas/NameType"},"sellableCode":{"$ref":"#/components/schemas/NameType"}}}}}}}}}},"securitySchemes":{"BasicBackendAuth":{"type":"apiKey","in":"header","name":"dlssessionid","description":"API-keys and session ids are used as synonyms. The only difference is that an API-key is not able to log himself out. Otherwise it would be destroyed. The sessionId is proxied over the c4l-basic backend.\n"},"KeyCloakAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"tags":[{"name":"delivery notes","description":"Endpoints to handle single delivery notes"}]}